/**
 * <copyright>
 * 
 * Copyright (c) 2008-2010 See4sys and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 *     See4sys - Initial API and implementation
 * 
 * </copyright>
 */
package org.eclipse.sphinx.platform.ui.fields;

/**
 * Classes which implement this interface provide a method to deal with change events of dialog fields.
 * 
 * @see BasicField
 */
public interface IFieldListener {

	/**
	 * Sent when the content of a dialog field has changed.
	 * 
	 * @param field
	 *            The field that contains the controls whose content has changed.
	 */
	void dialogFieldChanged(IField field);
}